libepubgen::EPUBBodyStyleManager Class Reference documentation

Public Member Functions | Protected Member Functions | List of all members
libepubgen::EPUBBodyStyleManager Class Reference

EPUBBodyStyleManager manages the body style converted from properties of the page span. More...

`#include <EPUBBodyStyleManager.h>`

Inheritance diagram for libepubgen::EPUBBodyStyleManager:

## Public Member Functions
| EPUBBodyStyleManager (std::string classNamePrefix)
| constructor More...
virtual | ~EPUBBodyStyleManager ()
| destructor More...
Public Member Functions inherited from libepubgen::EPUBSpanStyleManager
| EPUBSpanStyleManager (std::string classNamePrefix)
| constructor More...
virtual | ~EPUBSpanStyleManager ()
| destructor More...
void | defineSpan (librevenge::RVNGPropertyList const &pList)
| define a span style More...
std::string | getClass (librevenge::RVNGPropertyList const &pList)
| returns the class name corresponding to a propertylist More...
std::string | getStyle (librevenge::RVNGPropertyList const &pList)
| returns the style string corresponding to a propertylist More...
void | send (EPUBCSSContent &out)
| send the data to the sink More...

## Protected Member Functions
virtual void | extractProperties (librevenge::RVNGPropertyList const &pList, EPUBCSSProperties &cssProps) const override
| convert the properties of the page span into a CSS property map. Currently only style:writing-mode is supported. More...
virtual void | extractProperties (librevenge::RVNGPropertyList const &pList, EPUBCSSProperties &cssProps) const
| convert a property list into a CSS property map More...

## Additional Inherited Members
Protected Attributes inherited from libepubgen::EPUBSpanStyleManager
ContentNameMap_t | m_contentNameMap
| a map content -> name More...
std::map< int, std::string > | m_idNameMap
| a map id -> name More...
std::string | m_classNamePrefix

## Detailed Description

EPUBBodyStyleManager manages the body style converted from properties of the page span.

## Constructor & Destructor Documentation

## ◆ EPUBBodyStyleManager()

libepubgen::EPUBBodyStyleManager::EPUBBodyStyleManager | ( | std::string | classNamePrefix | ) |
| inline

constructor

## ◆ ~EPUBBodyStyleManager()

virtual libepubgen::EPUBBodyStyleManager::~EPUBBodyStyleManager | ( |  | ) |
| inlinevirtual

destructor

## Member Function Documentation

## ◆ extractProperties()

void libepubgen::EPUBBodyStyleManager::extractProperties | ( | librevenge::RVNGPropertyList const & | pList,
|  | EPUBCSSProperties & | cssProps
| ) |  | const
| overrideprotectedvirtual

convert the properties of the page span into a CSS property map. Currently only style:writing-mode is supported.

Reimplemented from libepubgen::EPUBSpanStyleManager.

The documentation for this class was generated from the following files:

- EPUBBodyStyleManager.h
- EPUBBodyStyleManager.cpp